# classes/phing/tasks/system/EchoTask.php

Echos a message to the logging system or to a file

@author Michiel Rook michiel.rook@gmail.com

author
  Andreas Aderhold, andi@binarycloud.com
package
  phing.tasks.system
version
  $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $

## \EchoTask
jump to top

Echos a message to the logging system or to a file

@author Michiel Rook michiel.rook@gmail.com

Extends from
  \Task
author
  Andreas Aderhold, andi@binarycloud.com
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $

### Properties

`$append= 'false'`
Default value `false` Details

Type

`$file= ''`
Details

Type

`$level= 'info'`
Default value `info` Details

Type

`$msg= ''`
Details

Type

### Methods

`addText( $msg ) :`
Supporting the <echo>Message</echo> syntax.
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`main( ) :`
`setAppend( $append ) :`
setter for append
Parameters

Name | Type | Description
--- | --- | ---
$append |  |

`setFile( $file ) :`
setter for file
Parameters

Name | Type | Description
--- | --- | ---
$file |  |

`setLevel( $level ) :`
setter for level
Parameters

Name | Type | Description
--- | --- | ---
$level |  |

`setMessage( $msg ) :`
alias setter
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`setMsg( $msg ) :`
setter for message
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

Documentation was generated by DocBlox 0.13.1.